untrusted comment: verify with openbsd-69-base.pub
RWQQsAemppS46Emr6GgcxHvPzhLN+7v1bea+aEHBA5saSVOzaw729Hr0ppM1KtucHQj1Tc3qa/FR4PA24qv5eg+giYwOCXdryAo=

OpenBSD 6.9 errata 012, August 4, 2021:

On sparc64, a misaligned address could panic the kernel.           

Apply by doing:
    signify -Vep /etc/signify/openbsd-69-base.pub -x 012_vmparam.patch.sig \
        -m - | (cd /usr/src && patch -p0)

And then rebuild and install a new kernel:
    KK=`sysctl -n kern.osversion | cut -d# -f1`
    cd /usr/src/sys/arch/`machine`/compile/$KK
    make obj
    make config
    make
    make install

Index: sys/arch/sparc64/include/vmparam.h
===================================================================
RCS file: /cvs/src/sys/arch/sparc64/include/vmparam.h,v
diff -u -p -r1.32 vmparam.h
--- sys/arch/sparc64/include/vmparam.h	1 Nov 2015 20:10:00 -0000	1.32
+++ sys/arch/sparc64/include/vmparam.h	3 Aug 2021 07:17:44 -0000
@@ -102,7 +102,7 @@
  */
 #define VM_MIN_ADDRESS		((vaddr_t)PAGE_SIZE)
 #define VM_MAX_ADDRESS		((vaddr_t)-1)
-#define VM_MAXUSER_ADDRESS	((vaddr_t)-1)
+#define VM_MAXUSER_ADDRESS	((vaddr_t)-PAGE_SIZE)
 
 /* map PIE into the first quarter of the address space before hole */
 #define VM_PIE_MIN_ADDR		PAGE_SIZE
